%global pkg_name        Gtk2
%global pkg_version     1.161
%global rpm_pkg_version 1.161
%global rpm_pkg_release 2.n0i.33

Summary:       Perl interface to the 2.x series of the Gimp Toolkit library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       LGPLv2+
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TS/TSCH/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: gtk2-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Glib)                >= 1.160
BuildRequires: perl(Cairo)               >= 1.0
BuildRequires: perl(ExtUtils::Depends)   >= 0.2
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires: perl(Cairo::Install::Files)
BuildRequires: perl(Glib::Install::Files)

Requires: perl(Glib)  >= 1.160
Requires: perl(Cairo) >= 1.0
%global perl_filter_req 'perl\\((Glib|Cairo)\\)$'


%description
The Gtk2 module allows a Perl developer to use the Gtk+ graphical user
interface library.

%package devel
Summary:  Gtk2 Perl development files
Group:    Development/Libraries
Requires: %{name} = %{version}
Requires: gtk2-devel
Requires: perl(Cairo::Install::Files)
Requires: perl(Glib::Install::Files)

%description devel
Development files useful for building Perl applications depending on Gtk2.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/ gtk-demo/}


%build
%{perl_build}
# requires X Window
%{?_with_test:DISPLAY=${DISPLAY:-:0} %{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE NEWS README
%{perl_files}
%exclude %{perl_vendorarch}/Gtk2/Install

%files devel
%defattr(-,root,root,-)
%doc ChangeLog TODO
%doc examples/ gtk-demo/
%{perl_vendorarch}/Gtk2/Install


%changelog
* Wed Oct 17 2007 Marius Feraru <altblue@n0i.net> - 1.161-2.n0i.33
- added more dependencies for devel subpackage

* Mon Oct 15 2007 Marius Feraru <altblue@n0i.net> - 1.161-1.n0i.32
- version 1.161
- split a "devel" subpackage

* Tue Sep 18 2007 Marius Feraru <altblue@n0i.net> - 1.160-1.n0i.31
- version 1.160
- updated License
- updated BRs

* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 1.146-1.n0i.30
- version 1.146

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 1.145-1.n0i.29
- version 1.145

* Tue Jun 05 2007 Marius Feraru <altblue@n0i.net> - 1.144-1.n0i.28
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.144

* Wed Jan 24 2007 Marius FERARU <altblue@n0i.net> - 1.142-1.n0i.27
- version 1.142
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0

* Sun May 28 2006 Marius Feraru <altblue@n0i.net> - 1.122-1.n0i.26
- version 1.122

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> - 1.121-1.n0i.25
- version 1.121

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 1.120-1.n0i.24
- version 1.120

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.104-1.n0i.23
- version 1.104

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.101-1.n0i.22
- version 1.101

* Tue Sep 06 2005 Marius FERARU <altblue@n0i.net> 1.100-1.n0i.21
- version 1.100

* Fri Jul 29 2005 Marius FERARU <altblue@n0i.net> 1.093-1.n0i.20
- version 1.093 (unstable branch)

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.083-1.n0i.19
- version 1.083
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 1.071-1.n0i.18
- version 1.071
- many spec updates

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 1.042-3.n0i.17
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 1.042-2.n0i.16
- automatic rebuild

* Fri Apr 16 2004 Marius FERARU <altblue@n0i.net> 1.042-1.n0i.15
- version 1.042

* Sat Apr 10 2004 Marius FERARU <altblue@n0i.net> 1.041-1.n0i.14
- version 1.041
- updated requirements

* Fri Mar 23 2004 Cornel Ghiban <cghiban@gmx.net> 1.040-1.n0i.13
- version 1.040

* Fri Mar 19 2004 Cornel Ghiban <cghiban@gmx.net> 1.0391-1.n0i.12
- version 1.0391

* Fri Mar 13 2004 Cornel Ghiban <cghiban@gmx.net> 1.039-1.n0i.11
- version 1.039

* Fri Feb 20 2004 Marius FERARU <altblue@n0i.net> 1.036-1.n0i.10
- version 1.036

* Fri Feb 13 2004 Marius FERARU <altblue@n0i.net> 1.035-1.n0i.9
- version 1.035

* Thu Feb 12 2004 Marius FERARU <altblue@n0i.net> 1.034-1.n0i.8
- version 1.034

* Mon Feb 02 2004 Marius FERARU <altblue@n0i.net> 1.033-0.n0i.7
- version 1.033

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 1.021-0.n0i.6
- version 1.021
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001
- SMP build not safe :(
- split some stuff into a "devel" package

* Thu Sep 25 2003 Marius FERARU <altblue@n0i.net> 1.00-0.n0i.5.rc2
- version 1.00rc2

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 0.90-0.n0i.4
- version 0.90
- finally RHL-ified spec file.

* Mon Jul 28 2003 Marius FERARU <altblue@n0i.net> 0.26-0.n0i.3
- version 0.26
- more spec cleanups

* Mon Jun 30 2003 Marius FERARU <altblue@n0i.net> 0.24-1.n0i.2
- small spec cleanups (heh, the autogenerated stuff it's too messy to hassle
with it for the moment)
- added smp build flags
- dropped some useless stuff from the package
- dropped weird duplicates

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 0.24-0.n0i.1
- Initial build.
